Show / Hide Table of Contents

# Class OpenIddictServerHandlerDescriptor

Represents an immutable descriptor of an OpenIddict server event handler.

##### Inheritance

System.Object
OpenIddictServerHandlerDescriptor

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerHandlerDescriptor

### Properties

#### ContextType

Gets the context type associated with the event.

##### Declaration

    public Type ContextType { get; }

##### Property Value

Type | Description
--- | ---
System.Type |

#### FilterTypes

Gets the list of filters responsible of excluding the handler from the activated handlers if it doesn't meet the criteria.

##### Declaration

    public ImmutableArray<Type> FilterTypes { get; }

##### Property Value

Type | Description
--- | ---
ImmutableArray<System.Type> |

#### Order

Gets the order assigned to the handler.

##### Declaration

    public int Order { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

#### ServiceDescriptor

Gets the service descriptor associated with the handler.

##### Declaration

    public ServiceDescriptor ServiceDescriptor { get; }

##### Property Value

Type | Description
--- | ---
ServiceDescriptor |

#### Type

Gets the type associated with the handler.

##### Declaration

    public OpenIddictServerHandlerType Type { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerHandlerType |

### Methods

#### CreateBuilder<TContext>()

Creates a builder allowing to initialize an immutable descriptor.

##### Declaration

    public static OpenIddictServerHandlerDescriptor.Builder<TContext> CreateBuilder<TContext>()
        where TContext : BaseContext

##### Returns

Type | Description
--- | ---
OpenIddictServerHandlerDescriptor.Builder<TContext> | A new descriptor builder.

##### Type Parameters

Name | Description
--- | ---
TContext | The event context type.